All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::FileSaver Class Reference

`#include <fileSaver.hpp>`

Inherited by op::HeatMapSaver, op::ImageSaver, op::KeypointSaver, and op::PeopleJsonSaver.

## Protected Member Functions

| FileSaver (const std::string &directoryPath)
virtual | ~FileSaver ()
std::string | getNextFileName (const unsigned long long index) const
std::string | getNextFileName (const std::string &fileNameNoExtension) const

## Constructor & Destructor Documentation

op::FileSaver::FileSaver | ( | const std::string & | directoryPath | ) |

explicitprotected

virtual op::FileSaver::~FileSaver | ( |  | ) |

protectedvirtual

## Member Function Documentation

std::string op::FileSaver::getNextFileName | ( | const unsigned long long | index | ) | const

protected

std::string op::FileSaver::getNextFileName | ( | const std::string & | fileNameNoExtension | ) | const

protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/fileSaver.hpp